Monthly Archive for April, 2009

The Sad Story of Europe’s Economic Ne’er-Do-Well

“Happy families are all alike; every unhappy family is unhappy in its own way,” wrote Leo Tolstoy, in the first line of his novel “Anna Karenina.” The same could be said of unhappy countries.

I’ve just returned from spending Easter in Hungary, which regularly vies for the title of the most pessimistic country in the world. Although the mention of Hungary rarely makes it into the Western press, the country has recently crept back into the headlines as one of the countries alongside Iceland, the Ukraine and the Baltic states of Estonia and Latvia on the verge of economic collapse. Like many, small developing countries, Hungary is an economic minnow. Its GDP of around $140 billion gives it as much economic heft as an average U.S. Midwestern city — say Minneapolis. But if Chile has been posited as a model for how a small developing country should conduct its economic affairs, consider the case of Hungary as a warning of the consequences of a dangerous cocktail of cronyism, a culture of petty corruption, leavened by a good dose of a uniquely local brand of negative thinking.

Once at the vanguard of economic reforms of the former Communist bloc, Hungary has become Europe’s biggest economic basket case. Today, Budapest’s graffiti-infested streets stand in sharp contrast to the Disneyland quality of renovated Prague to the north. Ambitiously designed “corporate campuses” that sought to replicate the high tech success of Hungarian-Americans Andrew Grove (Intel) and Charles Simonyi (Microsoft) now stand largely empty on the banks of the Danube. American law firms that once worked on setting up joint ventures in what was Eastern Europe’s most attractive destination of foreign investment 10 years ago, now pay their bills working on the bankruptcies of AIG and GM. Real estate projects along Budapest’s Andrassy Boulevard — whose asking prices rivaled that of prime West London property only a year ago — now stand unfinished, and seemingly abandoned.

Ironically, Hungary’s travails are not about size or about the current economic crisis. Hungary was in deep trouble even before October, when it was bailed out to the tune of $25 billion by the IMF and the European Union. Instead, Hungary’s problems can be traced back to the inevitable consequences of irresponsible economic policies, cronyism, and a widespread culture of petty corruption. From his perch at the European Union headquarters in Brussels, a British diplomat told me last week that Hungarian politicians are widely viewed as ranking “number 27 out of 27 among the EU members.” Indeed, Hungary has become somewhat of an economic pariah even in its own run-down neighborhood. When outgoing Prime Minister Gyurcsany dramatically warned of “a new economic Iron Curtain” descending upon Eastern Europe if his demands for an economic bailout package amounting to 180 billion euros weren’t met, the Czech Republic and Poland were quick to distance themselves from their profligate neighbor. The Germans — the rich uncle in the EU who would get to pick up the tab — dripped with vitriol in condemning Hungary’s chutzpah.

Although there is no room for it in the economist’s textbook, I think culture, values and psychology have much to do with a country’s success. It’s the Americans’ hard work and optimism that accounted for the rise of the United States. And it’s a culture of excessive debt that accounts for its current travails.

Twenty years ago, Budapest was the shining star of the Communist Bloc and Prague was a sleepy backwater, even as its Karl Marx University, where I was a Fulbright scholar, still had a “Department of Central Planning” and Marxian “dialectical materialism” was a two-year required course for all economics undergraduates. From that intellectual tradition arose one of the most open and progressive regimes for foreign investment in all of Eastern Europe.

By the mid-1990s, I was working for a Hungarian branch of an Austrian investment bank, which was the Goldman Sachs of the local market during the heyday of Hungarian privatizations and foreign investments. Its influence in Hungary certainly exceeded that of the White House and Goldman Sachs in the United States combined. I was hired by the CEO, who is currently the president of the Hungarian Central Bank. I worked on the initial public offerings of Hungarian companies with the current CEO of the Budapest Stock Exchange, as well as (of today) Hungary’s new prime minister. Two of my former colleagues also occupy top positions in Hungary’s equivalent of the Forbes 400. The guy who I hired to design an ad campaign for an investment fund I launched is now CEO of the country’s second-largest TV station.

In U.S. terms, it would have been as if I had worked with Goldman Sachs CEO Lloyd Blankfein, Fed Chairman Ben Bernanke, President Barack Obama, with Amazon founder Jeff Bezos, Michael Dell and NBC President Jeff Zucker thrown in for good measure — all in a 40-person firm. Not that this is unique to Hungary. An Irish acquaintance who has lived and worked in New York and London pointed out that this dynamic was identical in his native Ireland. And I suspect it is very similar in many Asian and Latin American countries as well.

But if such concentrations of influence are inevitable in small countries, I wonder if other pernicious values aren’t. Hungary suffers from a particular breed of anti-cosmopolitanism. Hungarian senior managers at multi-nationals shudder at the thought of being sent abroad for regional positions. The former and current Hungarian prime minister cut their political teeth as leaders of the Communist Youth League. In contrast, the president of Estonia is a Columbia and Penn graduate and sends his son to Stanford. And while even some Russian oligarchs invested in getting a Harvard MBA, Hungary’s current political leaders wouldn’t know Harvard Business School from a hole in the ground.

And then there is the culture of petty corruption that has penetrated the interstices of everyday life. A few years ago, I once sat at a dinner with leading figures in the Hungarian media world as each regaled our fellow guests with stories of how they cheated their way into university, and then how they systematically stole copies of exams to pass their courses. To them, their scam was a sign of their intelligence. Just this weekend, I witnessed an upper middle class professional family scheming how the mother could stop working by the age of 55, yet still get a full state pension. Cheating the government in Hungary is a way of life. Whether you call this “street smarts” versus “book smarts” doesn’t really matter. The cancerous effect of this culture speaks for itself.

The Sad Story of Europe’s Ne’er-Do-Well: Culture Has Consequences

There are some signs that a global perspective is reaching into even Hungary. The recommendations of Hungarian portfolio managers in a local business magazine include bets on U.S.-listed gold ETFs and plays on the U.S. financial sector. I was surprised to find the only pro-American article I have ever seen in Europe in a local business publication — though a Hungarian friend pointed out the author did not dare to sign it. The long arm of U.S. law is also reaching into Hungary, with some real consequences. The CEO of Magyar Telecom (MTA), the only Hungarian company listed on the New York Stock Exchange, was ousted a few years ago after running afoul of some U.S. regulations. The entire senior management of Hungary’s leading cable company was recently replaced for irregularities that came up during an investigation triggered by the much reviled Sarbanes-Oxley Act.

But I suspect even an economic miracle and graffiti-free buildings wouldn’t make Hungarians any happier. Just as American optimism is the motor of American life, Hungarian pessimism is the engine behind the country’s petty corruption and constant political bickering. As a Hungarian psychologist pointed out to me, Hungarians rarely take responsibility for their actions. They will always lay the blame at the feet of the Mongol hordes, the Battle of Mohács (1526), the Turkish occupation, Habsburg rule, Treaty of Trianon (1920), two lost wars, and the crushed revolution of 1956. In other countries, fairy tales may end with the phrase: “And they lived happily ever after.” In Hungary, fairy tales end with: “And they lived happily ever after… until they died.”

http://www.theglobalguru.com/article.php?id=248&offer=GURU001

faber est suae quisque fortunae

A mai nap kicsit furán alakult főleg az iwiw-es ügy miatt. Igazából nem tisztem mások életét, vagy döntéseit értékelni, de azért néha nem tudom megállni, hogy véleményt alkossak egyes emberekről. Nem tudok elképzelni olyan szituációt, ami igazolná az illető döntését, de biztos van rá oka. Vagy legalábbis azt hiszi…

Na mindegy, amúgy az egyik kedvenc közmondásom pont passzol a mai szituhoz, mindenki saját szerencséjének kovácsa.

How to: MoBlock install (peerguardian for linux)

Ubuntu Jaunty-hoz leírás

https://help.ubuntu.com/community/MoBlock

sudo su

gpg --keyserver wwwkeys.eu.pgp.net --recv 9C0042C8
gpg --export --armor 9C0042C8 | sudo apt-key add -
nano /etc/apt/sources.list
deb http://ppa.launchpad.net/jre-phoenix/ppa/ubuntu jaunty main
deb-src http://ppa.launchpad.net/jre-phoenix/ppa/ubuntu jaunty main

apt-get update

apt-get install moblock blockcontrol
 Turn on automatic start?   - Yes
ha újra be kellene állítani a dolgokat:
dpkg-reconfigure blockcontrol

mit blokkol:
tail -f /var/log/moblock.log
blockcontrol állapot:
blockcontrol status

How to: Ubuntu upgrade

apt-get install update-manager-core

do-release-upgrade

How to: Find out if sshd is Process is Running or Not

Type the following command at shell prompt:

$ ps -ewwo pid,args | grep [s]sh
Output:

5341 /usr/sbin/sshd
 5864 /usr/bin/ssh-agent x-session-manager
 6289 ssh oldbox
 7126 ssh admin@core.r1.vsnl.router

Where,

  • ps : Command name
  • -ewwo pid,args : -e option force to select all running processes. -o option is used to specify user-defined format. In our case we are forcing to display only program pid and its arguments. Finally -w option specifies wide output. Use this option twice for unlimited width.
  • grep [s]sh : We are just filtering out sshd string

http://www.cyberciti.biz/faq/unix-linux-determine-whether-process-is-running/

RRDTool eLuna

apt-get install rrdtool

apt-get install librrds-perl

apt-get install apt-file
apt-file update
apt-file search DateTime.pm
apt-get install libdatetime-perl
apt-file search Expr.pm
apt-get install libhtml-template-expr-perl

/etc/init.d/apache2 restart
nano /etc/apache2 … conf file

Options Indexes FollowSymLinks MultiViews
AllowOverride None

AllowOverride All
Order allow,deny
allow from all

chown graphs www-data www-data

.htaccess filet ide-oda masolni

különben meg minden ittvan: http://steph.eluna.org/fileadmin/eluna_graph_system/latest/README.english

Hard Drive Temperature Monitoring with RRDTool

sudo su

cd /etc
wget http://mirror.lihnidos.org/GNU/savannah/hddtemp/hddtemp.db

cd /usr/src
wget http://mirror.lihnidos.org/GNU/savannah/hddtemp/hddtemp-0.3-
beta15.tar.bz2

bunzip2 hddtemp-0.3-beta15.tar.bz2
rm hddtemp-0.3-beta15.tar
cd hddtemp-0.3-beta15/
./configure –with-db-path=/etc/hddtemp.db
(apt-get install gcc ha nem lenne még meg)

make
(apt-get install make ha nem lenne még meg)
make install

/usr/src/hddtemp-0.3-beta15# hddtemp /dev/sda
WARNING: Drive /dev/sda doesn’t seem to have a temperature sensor.
WARNING: This doesn’t mean it hasn’t got one.
WARNING: If you are sure it has one, please contact me (hddtemp@guzu.net).
WARNING: See –help, –debug and –drivebase options.
/dev/sda: FUJITSU MPE3064AT : no sensor

:(

http://martybugs.net/linux/hddtemp.cgi

esetleg: http://martybugs.net/electronics/tempsensor/

Network Traffic Monitoring with RRDTool

sudo su
apt-get install rrdtool
apt-get install librrds-perl

apt-get install perl -> perl is already the newest version.
wget http://martybugs.net/linux/rrdtool/download/rrd_traffic.txt

mv rrd_traffic.txt /usr/local/bin/rrd_traffic.pl
chmod 755 /usr/local/bin/rrd_traffic.pl
mkdir /var/lib/rrd
mkdir /var/www/rrdtool

my $img = ‘/var/www/rrdtool’;
# eth1…

tesztelgetni: /usr/local/bin/rrd_traffic.pl

nano /etc/crontab:
# get network interface traffic details
*/5 * * * * root /usr/local/bin/rrd_traffic.pl >/dev/null
#

nano /etc/apache2/sites-available/default
ProxyPass /rrdtool ! (hogy ez a könyvtár “végrehajtódjon”)
/etc/init.d/apache2 restart

http://martybugs.net/linux/rrdtool/traffic.cgi

transmission-cli install

sudo su
apt-get install transmission-cli
adduser –disabled-password transmission
sudo su transmission
transmission-daemon -f

cd /etc/init.d
nano transmission-daemon
chmod +x /etc/init.d/transmission-daemon

indit: sudo /etc/init.d/transmission-daemon start
leallit: sudo /etc/init.d/transmission-daemon stop

ha változtatni kell rajta valamit, az –auth opció miatt elfelejti, ezen itt lehet segíteni: /etc/default/transmission-daemon (vagy kivenni az auth opciót innen, vagy ide beírni amit meg szeretnénk változtatni) – ezután többször (?) kell reload, restartolni, nemtom miért…

edit settings.json

“rpc-enabled”: 1,
“rpc-username”: “admin”,
“rpc-whitelist”: “192.168.0.*”
“rpc-access-control-list”: “192.168.0.*”,

#! /bin/sh
### BEGIN INIT INFO
# Provides: transmission-daemon
# Required-Start: networking
# Required-Stop: networking
# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Short-Description: Start the transmission BitTorrent daemon client.
### END INIT INFO

# Original Author: Lennart A. JÃŒtte, based on Rob Howell’s script
# Modified by Maarten Van Coile & others (on IRC)

# Do NOT “set -e”

#
# —– CONFIGURATION —–
#
# For the default location Transmission uses, visit:
# http://trac.transmissionbt.com/wiki/ConfigFiles
# For a guide on how set the preferences, visit:
# http://trac.transmissionbt.com/wiki/EditConfigFiles
# For the available environement variables, visit:
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
#
# The name of the user that should run Transmission.
# It’s RECOMENDED to run Transmission in it’s own user,
# by default, this is set to ‘transmission’.
# For the sake of security you shouldn’t set a password
# on this user
USERNAME=transmission

# —– *ADVANCED* CONFIGURATION —–
# Only change these options if you know what you are doing!
#
# The folder where Transmission stores the config & web files.
# ONLY change this you have it at a non-default location
#TRANSMISSION_HOME=”/var/config/transmission-daemon”
#TRANSMISSION_WEB_HOME=”/usr/share/transmission/web”
#
# The arguments passed on to transmission-daemon.
# ONLY change this you need to, otherwise use the
# settings file as per above.
#TRANSMISSION_ARGS=”"

# —– END OF CONFIGURATION —–
#
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC=”bittorrent client”
NAME=transmission-daemon
DAEMON=$(which $NAME)
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

#
# Function that starts the daemon/service
#

do_start()
{
# Export the configuration/web directory, if set
if [ -n "$TRANSMISSION_HOME" ]; then
export TRANSMISSION_HOME
fi
if [ -n "$TRANSMISSION_WEB_HOME" ]; then
export TRANSMISSION_WEB_HOME
fi

# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon –chuid $USERNAME –start –pidfile $PIDFILE –make-pidfile \
–exec $DAEMON –background –test — -f $TRANSMISSION_ARGS > /dev/null \
|| return 1
start-stop-daemon –chuid $USERNAME –start –pidfile $PIDFILE –make-pidfile \
–exec $DAEMON –background — -f $TRANSMISSION_ARGS \
|| return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon –stop –quiet –retry=TERM/10/KILL/5 –pidfile $PIDFILE –name $NAME
RETVAL=”$?”
[ "$RETVAL" = 2 ] && return 2

# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.

start-stop-daemon –stop –quiet –oknodo –retry=0/30/KILL/5 –exec $DAEMON
[ "$?" = 2 ] && return 2

# Many daemons don’t delete their pidfiles when they exit.
rm -f $PIDFILE

return “$RETVAL”
}

case “$1″ in
start)
echo “Starting $DESC” “$NAME…”
do_start
case “$?” in
0|1) echo ” Starting $DESC $NAME succeeded” ;;
*) echo ” Starting $DESC $NAME failed” ;;
esac
;;
stop)
echo “Stopping $DESC $NAME…”
do_stop
case “$?” in
0|1) echo ” Stopping $DESC $NAME succeeded” ;;
*) echo ” Stopping $DESC $NAME failed” ;;
esac
;;
restart|force-reload)
#
# If the “reload” option is implemented then remove the
# ‘force-reload’ alias
#
echo “Restarting $DESC $NAME…”
do_stop
case “$?” in
0|1)
do_start
case “$?” in
0|1) echo ” Restarting $DESC $NAME succeeded” ;;
*) echo ” Restarting $DESC $NAME failed: couldn’t start $NAME” ;;
esac
;;
*)
echo ” Restarting $DESC $NAME failed: couldn’t stop $NAME” ;;
esac
;;
*)
echo “Usage: $SCRIPTNAME {start|stop|restart|force-reload}” >&2
exit 3
;;
esac

http://trac.transmissionbt.com/wiki/HeadlessUsage

http://code.google.com/p/transmisson-remote-gui/downloads/list

gallery2 large file upload problem


sudo su
nano /etc/php5/apache2/php.ini
post_max_size = [x]M
upload_max_filesize = [x]M

pl.: x = 64

Eztmeghogy?

keyboard_error
(nem volt billentyű kötve a gépre)

Gyík a Lágymányosi Híd tövében

gyik

Alföldi harmat

Amit nem igazán értek, hogy miért pont 51% a tejtartalma?

alfoldi_harmat

alfoldi_harmat_detail

dyndns beállítása ubuntuval

sudo su
apt-get install ddclient

standard kérdések, kivéve interface to use: web

nano /etc/ddclient.conf

minden marad kivéve ezt a sort: use=if, if=web
ami helyére ez kerül:
use=web, web=checkip.dyndns.com/, web-skip='IP Address'

illetve még az elejére befűzzük ezt a két sort:
ssl=yes
daemon=300

nano /etc/default/ddclient
megnézni, hogy ezek megvannak-e? Ha igen akkor rendben vagyunk és: /etc/init.d/ddclient restart

run_ipup=”false”
run_daemon="true"
daemon_interval="300"

innen tanultam

Ha ezek magvannak akkor a gallery2 könyvtárában módosítani kell még a config.php fájlban a $gallery->setConfig('baseUri',... mezőt az előbb beállított valami.[dyndns féle hostname]-re kész van.

debian package-ek listázása

dpkg –get-selections | grep ‘[[:space:]]install$’ | \awk ‘{print $1}’ > package_list

enable mod_rewrite for gallery2

nano /etc/apache2/httpd.conf

beilleszteni:

[Directory /full/path/to/html]
AllowOverride FileInfo Options
[/Directory]

]==>, [==<

apache mod_proxy

Van itthon két szerverem. Az egyik egy erősebb gép kevés tárolókapacitással, a másik gyengébb, de több hellyel. Az erősebb gépen fut egy webszerver, aminek az egyik mappáját úgy szeretném beállítani, hogy a másik gépre mutasson, azaz annak tartalma látszódjon benne. A megoldás a mod_proxy használata (reverseproxy üzemmódban) a következőképpen:

kis kitérő, ezzel be kell állítani az apachenak a szerver nevét:
nano /etc/apache2/apache2.conf
ServerName "your-server-name"

ez valahova emellé megy:
ServerRoot "/etc/apache2" ServerRoot "/etc/apache2"
illetve még ezeket a végére illeszteni, hogy ne árulkodjon túl sokat:
ServerSignature Off
ServerTokens Prod

sudo su
a2enmod proxy
a2enmod proxy_http
/etc/init.d/apache2 restart

ezután edit:
/etc/apache2/sites-available/default

ProxyRequests Off


Order deny,allow
Allow from all

ProxyPass /gallery !
ProxyPass / http://192.168.x.x/
ProxyPassReverse / http://192.168.x.x/

illetve ezt még befűzni:
ProxyErrorOverride On

ezzel felülírjuk az esetleges hibaüzeneteket , így azoknak egységes lesz a kinézete…

Update:

Ha visszafelé is működjön helyesen (alkönyvtárból), akkor:

ProxyPass /Ultra/ http://192.168.x.x/
ProxyPassReverse /Ultra/ http://192.168.x.x/
apache2ctl restart

innen vannak az infók:

http://www.ventanazul.com/webzine/tutorials/setup-apache-lighttpd-django-ubuntu

http://httpd.apache.org/docs/2.0/mod/mod_proxy.html#access

találtam még egy másik leírást is, ez régebbinek tűnik, nem próbáltam, hátha később még szükség lesz rá, esetleg meg lehetne nézni ezeket a paramétereket is, hogy mit csinálnak:

ProxyHTMLURLMap http://internal1.example.com /app1
SetOutputFilter proxy-html
ProxyHTMLURLMap / /app1/
ProxyHTMLURLMap /app1 /app1
RequestHeader unset Accept-Encoding

innen:

http://www.apachetutor.org/admin/reverseproxies